## helma.scripting.rhino.debug
Class Tracer

    java.lang.Object
      helma.scripting.rhino.debug.Tracer

All Implemented Interfaces:
  org.mozilla.javascript.debug.Debugger

    public class Tracer

extends java.lang.Object
implements org.mozilla.javascript.debug.Debugger

Constructor Summary
`Tracer(ResponseTrans res)` Create a tracer that writes to this response object

Method Summary
`org.mozilla.javascript.debug.DebugFrame` `getFrame(org.mozilla.javascript.Context cx, org.mozilla.javascript.debug.DebuggableScript script)` Implements getFrame() in interface org.mozilla.javascript.debug.Debugger
`void` `handleCompilationDone(org.mozilla.javascript.Context cx, org.mozilla.javascript.debug.DebuggableScript script, java.lang.String source)` Implementws handleCompilationDone in interface org.mozilla.javascript.debug.Debugger

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tracer

    public Tracer(ResponseTrans res)

  Create a tracer that writes to this response object

  Parameters:
    `res` - the response object to write to

Method Detail

### handleCompilationDone

    public void handleCompilationDone(org.mozilla.javascript.Context cx,
                                      org.mozilla.javascript.debug.DebuggableScript script,
                                      java.lang.String source)

  Implementws handleCompilationDone in interface org.mozilla.javascript.debug.Debugger

  Specified by:
    `handleCompilationDone` in interface `org.mozilla.javascript.debug.Debugger`

### getFrame

    public org.mozilla.javascript.debug.DebugFrame getFrame(org.mozilla.javascript.Context cx,
                                                            org.mozilla.javascript.debug.DebuggableScript script)

  Implements getFrame() in interface org.mozilla.javascript.debug.Debugger

  Specified by:
    `getFrame` in interface `org.mozilla.javascript.debug.Debugger`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.